package cn.iselab.mooctest.user.service;


import cn.iselab.mooctest.user.model.OperationRecord;
import cn.iselab.mooctest.user.model.User;

import java.util.List;

/**
 * @author sean
 * @date 2018-03-03.
 */
public interface UserService {

    User findByEmail(String email);

    User findByMobile(String mobile);

    User register(User user);

    User findById(Long userId);

    User update(User user);

    OperationRecord recordOperation(OperationRecord record);

    List<User> findByFuzzyName(String name);

    List<User> findByFuzzyEmail(String email);

    List<User> findByFuzzyNameOrEmail(String keyword);

    List<User> findAll(List<Long> userIds);

    List<User> findAllByEmails(List<String> emails);
}

